# We're arch-dependent as is rhythmbox's plugin directory,
# though we don't really ship any compiled code
%define debug_package %{nil}

Name:           rhythmbox-ubuntuone-music-store
Version:        0.1.2
Release:        1%{?dist}
Summary:        Ubuntu One Music Store Rhythmbox plugin

Group:          Applications/Multimedia
License:        GPLv3
URL:            https://launchpad.net/rhythmbox-ubuntuone-music-store
Source0:        http://launchpadlibrarian.net/52287472/%{name}-%{version}.tar.gz
Patch0:         rhythmbox-ubuntuone-music-store-0.1.2-kill-aptdaemon.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  python-distutils-extra
BuildRequires:  intltool
Requires:       rhythmbox
Requires:       python-ubuntuone-gtkwidgets
Requires:       gstreamer0.10(decoder-audio/mpeg)(mpegversion=1)(layer=3)

%description
A Rhythmbox plugin that makes the Ubuntu One Music Store available in
Rhythmbox.


%prep
%setup -q
%patch0 -p1 -b .aptdaemon


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}
[ %{_prefix}/lib = %{_libdir} ] ||
        mv $RPM_BUILD_ROOT{%{_prefix}/lib,%{_libdir}}/rhythmbox
install -p -m644 umusicstore/umusicstore.rb-plugin \
        $RPM_BUILD_ROOT%{_libdir}/rhythmbox/plugins/umusicstore


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_libdir}/rhythmbox/plugins/umusicstore
%exclude %{_docdir}/%{name}
%doc COPYING MANIFEST PKG-INFO README


%changelog
* Sun Aug 08 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.1.2-1
- Initial packaging
